Subject: Re: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Paul Eggert <[email-masked]>
Date: Fri, 02 May 2014 14:14:14 -0700

On 05/02/2014 01:53 PM, Drew Adams wrote:
> FWIW, I have received this info from him: I built from source with 
> makinfo 5.2. However, makeinfo 5.2 works fine for Emacs pretest (emacs 
> 24.3.90), but not for Emacs trunk (24.4.50): bzr branch 
> bzr://bzr.savannah.gnu.org/emacs/trunk Here are the steps to build: - 
> ./configure --with-x-toolkit=gtk - make - sudo make install 

Works for me, with makeinfo 5.2.  I see curly quotes in the info files 
when I configure and build and install with that recipe.  If it's 
failing for him we need to know what the failure is and how to reproduce it.

> What does old vs new texinfo refer to? Did you perhaps mean old vs new 
> makeinfo? If not, how does he tell whether he has "old" or "new" Texinfo?

'makeinfo --version'.  The makeinfo command is part of the texinfo package.

> Is the problem just for `...' vs '...' or ‘...’?

Not sure what you mean by "the problem", but other characters are 
affected, yes.

> What about Lisp (and other) code, where we use ", ', and `, and none 
> of those should be changed to a curly version of the same?

Shouldn't be a problem, as those characters should not be changed. 
Makeinfo can determine this from the markup in the .texi file.

> ' ' (i.e., NO-BREAK SPACE, U+00A0) '真' (i.e., Han character 'real, 
> actual, true, genuine', U+771F) ¤ © ¬ » À Å ß à á ä å ç è é ê ì í ï ò 
> ó ö ø ü ć č ł ń ő Š š – — ‘ ’ “ ” • … → ↦ ⇒ − ≡ ⊣ ★
> Not sure why you let me know this (but I'm glad to have it).  A priori,
> I have no problem with any such chars in an Info buffer.  Any problems
> that I would have would I think come from substituting chars that
> currently have particular meaning to Info (or to Lisp etc. - see above).

Some of those characters do have a particular meaning.  For example, • 
is used for bulleted lists instead of *, so if info+.el is keying only 
off "*" (for old texinfo) it'll need to change to support new texinfo.  
Other characters are used for output displays.